aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/menuwebsurf
diff options
context:
space:
mode:
authorYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-09-14 11:04:04 +0300
committerYaroslav de la Peña Smirnov <yps@yaroslavps.com>2021-09-14 11:04:04 +0300
commita76aa8c932030a64ba277ed9a9cbeadb8dd910d2 (patch)
tree1e66eaf8f8bd4bfc2c9bf54ffc9dc79e1609bab7 /dotfiles/.local/bin/menuwebsurf
parente6aa326505607988d507fc3bd33c7eab8f899a1d (diff)
downloadswayrice-a76aa8c932030a64ba277ed9a9cbeadb8dd910d2.tar.gz
swayrice-a76aa8c932030a64ba277ed9a9cbeadb8dd910d2.zip
Trying out vimb as main browser
Diffstat (limited to 'dotfiles/.local/bin/menuwebsurf')
-rwxr-xr-xdotfiles/.local/bin/menuwebsurf16
1 files changed, 10 insertions, 6 deletions
diff --git a/dotfiles/.local/bin/menuwebsurf b/dotfiles/.local/bin/menuwebsurf
index bef9890..cb32299 100755
--- a/dotfiles/.local/bin/menuwebsurf
+++ b/dotfiles/.local/bin/menuwebsurf
@@ -5,18 +5,22 @@
# Source settings from .bemenurc
. ~/.config/bemenurc
-prompt="🌐"
+searchurl="https://srx.yaroslavps.com/search?q="
+histf="$HOME/.config/vimb/history"
# Have to use this "hack" because bemenu doesn't know how to paste
if [ "$1" = "paste" ]; then
- prompt="$(wl-paste)"
+ prompt="$(wl-paste)"
+else
+ prompt="$(cat "$histf")"
fi
-choice=$(echo "$prompt" | bemenu -i -p "Enter link or query:" --tf="$BEMENU_TF" --tb="$BEMENU_NB" --fb="$BEMENU_NB" --fn="$BEMENU_FN" --nb="$BEMENU_NB" --nf="$BEMENU_NF" --hf="$BEMENU_HF" --hb="$BEMENU_HB" --monitor="$BEMENU_MONITOR") || exit 1
+choice=$(printf "%s" "$prompt" | bemenu -i -l 25 -p "Enter link or query:" --tf="$BEMENU_TF" --tb="$BEMENU_NB" --fb="$BEMENU_NB" --fn="$BEMENU_FN" --nb="$BEMENU_NB" --nf="$BEMENU_NF" --hf="$BEMENU_HF" --hb="$BEMENU_HB" --monitor="$BEMENU_MONITOR") || exit 1
-if [ "$choice" = "🌐" ]; then
- $BROWSER
+if echo "$choice" | egrep ".*://.*" >/dev/null 2>&1; then
+ choice="$(echo "$choice" | cut -f 1)"
+ mimeo "$choice"
else
- mimeo "$choice"
+ $BROWSER "$choice"
fi